#PersistenceView
{
    position: absolute;

    left: 83.4%;
    top: 77.7%;

    box-sizing: border-box;

    width: 13.6%;
    height: 16.9%;
}

#PersistenceView .button
{
    position: absolute;

    left: 12%;

    box-sizing: border-box;

    width: 76%;
    height: 22%;

    font-size: 1.5vw;
    text-align: center;
}

#PersistenceView .button:hover
{
    cursor: pointer;

    background-color: #00ff0033;
}

#PersistenceView #PersistenceViewDefaultMixButton
{
    left: -450%;
    top: 7.5%;

    width: 61%;
}

#PersistenceView #PersistenceViewDefaultMixButton>img
{
    display: none;
}

#PersistenceView #PersistenceViewSaveButton
{
    top: 30.7%;
}

#PersistenceView #PersistenceViewLoadButton
{
    top: 61.3%;
}

#PersistenceViewSave
{
    position: absolute;

    left: 35%;
    top: 40%;
    z-index: 3;

    box-sizing: border-box;

    width: 30%;
    height: 20%;

    background-color: #002200fa;
    border: 2px solid #008800ee;
}

#PersistenceViewSave #PersistenceViewSaveNameLabel
{
    display: block;

    width: 100%;

    font-size: 2vw;
    text-align: center;

    color: #00cc00;
}

#PersistenceViewSave #PersistenceViewSaveNameInput
{
    display: block;

    margin: auto;
    margin-top: 2%;

    width: 80%;

    font-size: 2vw;
    font-family: Astronaut;
}

#PersistenceViewSave .button
{
    position: absolute;

    margin-top: 4%;

    box-sizing: border-box;

    padding: 1%;

    font-size: 2vw;
}

#PersistenceViewSave .button:hover
{
    cursor: pointer;
}

#PersistenceViewSave #PersistenceViewSaveConfirmButton
{
    left: 10%;

    background-color: #00ff0022;
    border: 2px solid #00ff0044;
    color: #00cc00;
}

#PersistenceViewSave #PersistenceViewSaveConfirmButton:hover
{
    background-color: #00ff0033;
    border: 2px solid #00ff0055;
    color: #00ff00;
}

#PersistenceViewSave #PersistenceViewSaveCancelButton
{
    right: 10%;

    background-color: #ff000022;
    border: 2px solid #ff000044;
    color: #cc0000;
}

#PersistenceViewSave #PersistenceViewSaveCancelButton:hover
{
    background-color: #ff000033;
    border: 2px solid #ff000055;
    color: #ff0000;
}

#PersistenceViewLoad
{
    position: absolute;

    left: 20%;
    top: 20%;
    z-index: 3;

    box-sizing: border-box;

    width: 60%;
    height: 60%;

    padding: 1%;

    background-color: #002200fa;
    border: 2px solid #008800ee;

    overflow-y: auto;
}

#PersistenceViewLoad #PersistenceViewLoadCloseButton
{
    position: absolute;

    top: 1.5%;
    right: 1%;

    width: 3%;
    height: 5%;

    background-color: #880000cc;
    border: 2px solid #ff0000cc;
    color: #ff0000cc;

    font-family: sans-serif, serif;
    font-size: 1.5vw;
    text-align: center;
}

#PersistenceViewLoad #PersistenceViewLoadCloseButton:hover
{
    cursor: pointer;

    filter: brightness(1.3);
}

#PersistenceViewLoad .save.selector
{
    display: flex;

    padding-left: 1%;

    margin-bottom: 0.5%;

    box-sizing: border-box;

    width: 96%;

    background-color: #004400ee;
    border: 2px solid #008800ff;
}

#PersistenceViewLoad .save.selector .save.name
{
    flex: 1;

    overflow: hidden;

    color: #00cc00;
}

#PersistenceViewLoad .save.selector .remove.button
{
    box-sizing: border-box;

    width: 1.2em;
    height: 1.2em;

    text-align: center;

    background-color: #88000033;
    border: 2px solid #ff000088;
}

#PersistenceViewLoad .save.selector .remove.button>img
{
    max-width: 100%;
    max-height: 100%;

    pointer-events: none;
}

#PersistenceViewLoad .save.selector:hover
{
    cursor: pointer;

    filter: brightness(1.3);
}

#PersistenceViewLoad #PersistenceViewLoadAskConfirm
{
    position: absolute;

    left: 20%;
    top: 20%;
    z-index: 1;

    box-sizing: border-box;

    width: 60%;

    padding: 2%;

    font-size: 2vw;

    border: 2px solid #00ff00aa;
    background-color: #002200;
}

#PersistenceViewLoad #PersistenceViewLoadAskConfirm #PersistenceViewLoadAskConfirmText
{
    color: #00cc00;

    text-align: center;
}

#PersistenceViewLoad #PersistenceViewLoadAskConfirm .button
{
    margin-top: 4%;

    box-sizing: border-box;

    padding-left: 2%;
    padding-right: 2%;
}

#PersistenceViewLoad #PersistenceViewLoadAskConfirm .button:hover
{
    cursor: pointer;
}

#PersistenceViewLoad #PersistenceViewLoadAskConfirm #PersistenceViewLoadAskConfirmButton
{
    float: left;

    margin-left: 5%;

    background-color: #00ff0022;
    border: 2px solid #00ff0044;
    color: #00cc00;
}

#PersistenceViewLoad #PersistenceViewLoadAskConfirm #PersistenceViewLoadAskConfirmCancelButton
{
    float: right;

    margin-right: 5%;

    background-color: #ff000022;
    border: 2px solid #ff000044;
    color: #cc0000;
}

#PersistenceViewLoad #PersistenceViewLoadAskConfirm #PersistenceViewLoadAskConfirmButton:hover
{
    background-color: #00ff0033;
    border: 2px solid #00ff0055;
    color: #00ff00;
}

#PersistenceViewLoad #PersistenceViewLoadAskConfirm #PersistenceViewLoadAskConfirmCancelButton:hover
{
    background-color: #ff000033;
    border: 2px solid #ff000055;
    color: #ff0000;
}
